Get Cash Flow Permissions

GET /ws/rest/service/v1/cashflow/permission/{project_number}

Purpose

Fetch Cash flow Permissions

The input JSON shall provide various options to be considered for fetching cash flow permissions.

POST body is a JSON

Note:

POST call has input & output both as JSON in the body

input query parameter

filter = {"names": [ "cash flow 1", "cash flow 2" ]}

Request Format

All parameters must be URL encoded.

project_number: Specify the Project number in which the cash flow exists. If not provided, Company workspace will be considered.

In the request body, "names" is an optional parameter. For multiple cash flows, specify a comma-separated list in the following format:

"names": ["cash flow 1", "cash flow 2", "cash flow 3"]

Response Format

A JSON object is returned in the following format.

{

"data": [],

"message": [],

"status": <REST status code value>

}

A successful response displays a status code 200.

A failed response displays a message with a status code.

Sample Success Response

This is an example of a successful response with status 200.

{

"data": {

"cash flow 1": {

"permissions": [

{

"login_name": "coadmin",

"full_name": "Company Administrator",

"permission": {

"edit_data": "1",

"view": "1",

"modify_permission": "0"

},

"type": "U"

},

{

"full_name": "Company Group 1",

"group_name": "Company Group 1",

"permission": {

"edit_data": "1",

"view": "1",

"modify_permission": "1"

},

"type": "CG"

}

]

},

"Cash flow 2": {

"permissions": [

{

"login_name": "firstname",

"full_name": "Firstname Lastname",

"permission": {

"edit_data": "1",

"view": "1",

"modify_permission": "1"

},

"type": "U"

}

]

}

},

"message": [

"success"

],

"status": 200

}